Bug 182338 - [PATCH] net-p2p/bitcoin: Fix build on 10.0-ALPHA2
[PATCH] net-p2p/bitcoin: Fix build on 10.0-ALPHA2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 03:10 UTC by Steve Wills
Modified: 2013-11-15 19:00 UTC (History)
1 user (show)

See Also:


Attachments
bitcoin-0.8.5.patch (1.48 KB, patch)
2013-09-24 03:10 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2013-09-24 03:10:00 UTC
- Remove redundant declaration to fix build on 10.0-ALPHA2

Port maintainer (robbak@robbak.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-09-24 03:10:07 UTC
Maintainer of net-p2p/bitcoin,

Please note that PR ports/182338 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182338

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-09-24 03:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 robbak 2013-09-24 09:01:28 UTC
Thanks, steve. I had seen messages on that, but without an instance of
10.0A2 to test it on, and with redports having troubles, I didn't see how I
could test it all.

I've tested the patch on myself on everything I have available, but
redports is still not working for 10-CURRENT. I'll defer to your testing
and approve.

Please commit.

On 24 September 2013 12:10, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of net-p2p/bitcoin,
>
> Please note that PR ports/182338 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182338
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Mark Linimon freebsd_committer 2013-09-25 02:32:24 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Tijl Coosemans freebsd_committer 2013-10-19 22:17:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

Assign to submitter.
Comment 6 dfilter freebsd_committer 2013-11-15 18:50:24 UTC
Author: swills
Date: Fri Nov 15 18:50:18 2013
New Revision: 333910
URL: http://svnweb.freebsd.org/changeset/ports/333910

Log:
  - Fix build on 10.0
  
  PR:		ports/182338
  Submitted by:	swills
  Approved by:	Robert Backhaus <robbak@robbak.com> (maintainer)

Added:
  head/net-p2p/bitcoin/files/patch-src__serialize.h   (contents, props changed)

Added: head/net-p2p/bitcoin/files/patch-src__serialize.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/bitcoin/files/patch-src__serialize.h	Fri Nov 15 18:50:18 2013	(r333910)
@@ -0,0 +1,22 @@
+--- ./src/serialize.h.orig	2013-09-24 01:50:35.661706153 +0000
++++ ./src/serialize.h	2013-09-24 01:50:52.913703572 +0000
+@@ -895,19 +895,6 @@
+     iterator insert(iterator it, const char& x=char()) { return vch.insert(it, x); }
+     void insert(iterator it, size_type n, const char& x) { vch.insert(it, n, x); }
+ 
+-    void insert(iterator it, const_iterator first, const_iterator last)
+-    {
+-        assert(last - first >= 0);
+-        if (it == vch.begin() + nReadPos && (unsigned int)(last - first) <= nReadPos)
+-        {
+-            // special case for inserting at the front when there's room
+-            nReadPos -= (last - first);
+-            memcpy(&vch[nReadPos], &first[0], last - first);
+-        }
+-        else
+-            vch.insert(it, first, last);
+-    }
+-
+     void insert(iterator it, std::vector<char>::const_iterator first, std::vector<char>::const_iterator last)
+     {
+         assert(last - first >= 0);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Steve Wills freebsd_committer 2013-11-15 18:50:28 UTC
State Changed
From-To: open->closed

Committed.